<div>
    <h2 id="page-heading">
        <span jhiTranslate="gestioncvsApp.ressourceDemande.home.title">Ressource Demandes</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-ressource-demande" [routerLink]="['/ressource-demande/new']">
            <fa-icon icon="plus"></fa-icon>
            <span  jhiTranslate="gestioncvsApp.ressourceDemande.home.createLabel">
            Create a new Ressource Demande
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="ressourceDemandes?.length === 0">
        <span jhiTranslate="gestioncvsApp.ressourceDemande.home.notFound">No ressourceDemandes found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="ressourceDemandes && ressourceDemandes.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadPage.bind(this)">
                    <th scope="col"  jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="emploiActuel"><span jhiTranslate="gestioncvsApp.ressourceDemande.emploiActuel">Emploi Actuel</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="ancienneteEtude"><span jhiTranslate="gestioncvsApp.ressourceDemande.ancienneteEtude">Anciennete Etude</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="ancienneteEmploi"><span jhiTranslate="gestioncvsApp.ressourceDemande.ancienneteEmploi">Anciennete Emploi</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="fonction"><span jhiTranslate="gestioncvsApp.ressourceDemande.fonction">Fonction</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="nbRessources"><span jhiTranslate="gestioncvsApp.ressourceDemande.nbRessources">Nb Ressources</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"  jhiSortBy="appelOffreId"><span jhiTranslate="gestioncvsApp.ressourceDemande.appelOffre">Appel Offre</span> <fa-icon icon="sort"></fa-icon></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let ressourceDemande of ressourceDemandes ;trackBy: trackId">
                    <td><a [routerLink]="['/ressource-demande', ressourceDemande.id, 'view']">{{ ressourceDemande.id }}</a></td>
                    <td>{{ ressourceDemande.emploiActuel }}</td>
                    <td>{{ ressourceDemande.ancienneteEtude }}</td>
                    <td>{{ ressourceDemande.ancienneteEmploi }}</td>
                    <td>{{ ressourceDemande.fonction }}</td>
                    <td>{{ ressourceDemande.nbRessources }}</td>
                    <td>
                        <div *ngIf="ressourceDemande.appelOffreId">
                            <a [routerLink]="['/appel-offre', ressourceDemande.appelOffreId , 'view']" >{{ ressourceDemande.appelOffreId }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/ressource-demande', ressourceDemande.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/ressource-demande', ressourceDemande.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(ressourceDemande)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div *ngIf="ressourceDemandes && ressourceDemandes.length > 0">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>

        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="ngbPaginationPage" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage($event)"></ngb-pagination>
        </div>
    </div>
</div>
